/**
 * ============LICENSE_START====================================================
 * org.onap.aaf
 * ===========================================================================
 * Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
 * ===========================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END====================================================
 *
 */

package org.onap.aaf.auth.gui.table;

import org.onap.aaf.misc.xgen.html.HTMLGen;

/**
 * Write Simple Text into a Cell
 * @author Jonathan
 *
 */
public class TextToolTipCell extends AbsCell {
    public final String name;
    private final String[] attrs;
    private final String tooltip;

    public TextToolTipCell(String name, String tooltip, String... attributes) {
        attrs = attributes;
        this.name = name;
        this.tooltip = "<abbr title=\"" + tooltip + "\">";
    }

    @Override
    public void write(HTMLGen hgen) {
        hgen.text(tooltip + name + "</abbr>");
    }

    @Override
    public String[] attrs() {
        return attrs;
    }
}
